#ifndef __vumeter_h
#define __vumeter_h

#define global_skin_dir SKINDIR
#define max_avarage_samples 20

struct vumeter_skin_info {
 char   name[200];					// Filename for the skin
 
 gint   exit_x1,exit_x2,exit_y1,exit_y2,		// Positions for exit button
	config_x1,config_x2,config_y1,config_y2,	// Positions for config button
	titlebar_ymax,					// Max ysize for titlebar
	right_x,right_y,
	left_x,left_y,
	left_mirror,
	right_mirror,
	needle_min_angle,
	needle_max_angle,
	width,height,
	db_min_range,
	overlay_x,					// Overlay image x-pos
	overlay_y,					// Overlay image y-pos

	led_left_x,					// Left channel clipping led x-pos
	led_left_y,					// Left channel clipping led y-pos
	led_right_x,					// Right channel clipping led x-pos
	led_right_y,					// Right channel clipping led y-pos
	
	overlay_enabled,				// Enable overlay img (0/1)
	analogvu_enabled,				// Enable analogvu (0/1)
	digitalvu_enabled,				// Enable digitalvu (0/1)
	clipping_led,					// Enable clipping "led" (0/1)
	line_width;
	
 unsigned long line_color;

 float	left_rad,
	right_rad;
}; 

struct vumeter_cfg_info {
 char   old_skin[200];
 gint	av_samples,
	frame_delay,
	sensitivity,
	win_width,
	win_height,
	screen_width,
	screen_height;
};


extern     void scan_skin_dir(char *);				// Scan skin directory (vumeter_skin.c)
extern      int vumeter_test_skin(char *,char *);		// Return 0 if skin not found
extern     void vumeter_about(void);				// About box (vumeter_dialog.c)
extern     void vumeter_config(void);				// Config box (vumeter_dialog.c)
extern      int vumeter_load_skin(char *);			// Skin loader  (arg 1 = name)
extern     void scan_skin_dir(char *);				// Search skins (arg 1 = directory)
extern     void vumeter_writeconfig(void);

extern void *vumeter_worker(void *);				// worker thread

#endif
